Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPPEQU

    java.lang.Object
      org.netlib.lapack.DPPEQU

    public class DPPEQU

extends java.lang.Object

    DPPEQU is a simplified interface to the JLAPACK routine dppequ.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPPEQU computes row and column scalings intended to equilibrate a
     *  symmetric positive definite matrix A in packed storage and reduce
     *  its condition number (with respect to the two-norm).  S contains the

     *  scale factors, S(i)=1/sqrt(A(i,i)), chosen so that the scaled matrix

     *  B with elements B(i,j)=S(i)*A(i,j)*S(j) has ones on the diagonal.
     *  This choice of S puts the condition number of B within a factor N of

     *  the smallest possible condition number over all possible diagonal
     *  scalings.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  AP      (input) DOUBLE PRECISION array, dimension (N*(N+1)/2)
     *          The upper or lower triangle of the symmetric matrix A, packed
     *          columnwise in a linear array.  The j-th column of A is stored
     *          in the array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
     *
     *  S       (output) DOUBLE PRECISION array, dimension (N)
     *          If INFO = 0, S contains the scale factors for A.
     *
     *  SCOND   (output) DOUBLE PRECISION
     *          If INFO = 0, S contains the ratio of the smallest S(i) to
     *          the largest S(i).  If SCOND >= 0.1 and AMAX is neither too
     *          large nor too small, it is not worth scaling by S.
     *
     *  AMAX    (output) DOUBLE PRECISION
     *          Absolute value of largest matrix element.  If AMAX is very
     *          close to overflow or very close to underflow, the matrix
     *          should be scaled.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, the i-th diagonal element is nonpositive.

     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DPPEQU()`

Method Summary
`static void` | `DPPEQU(java.lang.String uplo, int n, double[] ap, double[] s, doubleW scond, doubleW amax, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPPEQU

    public DPPEQU()

Method Detail

### DPPEQU

    public static void DPPEQU(java.lang.String uplo,
                              int n,
                              double[] ap,
                              double[] s,
                              doubleW scond,
                              doubleW amax,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD